@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;700&display=swap');

body {
    background-color: #272861;
    font-family: 'Rubik', sans-serif;
    font-weight: 400;
}
body.interno {
    padding-top: 56px;
}
@media (min-width: 1201px) {
    body { font-size: .97rem; }
}
@media (min-width: 992px) and (max-width: 1200px) {
    body { font-size: .90rem; }
}
@media (min-width: 577px) and (max-width: 991px) {
    body { font-size: .83rem; }
}
@media (max-width: 576px) {
    body { font-size: .76rem; }
}
.fontsize-300 { font-size: 300%; }
.fontsize-280 { font-size: 280%; }
.fontsize-260 { font-size: 260%; }
.fontsize-240 { font-size: 240%; }
.fontsize-210 { font-size: 210%; }
.fontsize-180 { font-size: 180%; }
.fontsize-150 { font-size: 150%; }
.fontsize-140 { font-size: 140%; }
.fontsize-120 { font-size: 120%; }
.fundo-page {
    background-color: #FFF;
    width: 100%;
}
a {
    color: #666;
}
a:hover {
    color: #27534C;
}
.color-azul {
    color: #363883;
}
.color-cinza-escuro {
    color: #666;
}
.color-cinza-claro {
    color: #888;
}
.sombra-imagem {
    box-shadow: 8px 10px 0 0 #4B78CB, 6px -4px 0 10px #CCC;
    margin: 20px auto;
}


#loading-default {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: rgba(160, 165, 154, .9);
    display: none; 
    text-align: center;
    line-height: 100vh;
    color: #FFF;
    font-size: 200%;
}

section.title-page {
    margin: auto;
    background-image: url(../../assets/images/title-background.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-color: #4B78CB;
    font-family: 'Rubik', sans-serif;
    font-weight: 400;
    color: #FFF;
}
section.title-page h1 {
    color: #FFF;
    text-transform: uppercase;
    text-shadow: 4px 2px 0px rgba(0, 0, 0, .5);
}
section.title-page p {
    color: #FFF;
    text-transform: uppercase;
    text-shadow: 3px 2px 3px rgba(0, 0, 0, .5);
    font-size: 130%;
}
@media (min-width: 1200px) {
    section.title-page {
        padding-top: 120px;
        padding-bottom: 120px;
    }
    section.title-page h1 {
        font-size: 3rem;
    }
}
@media (min-width: 992px) and (max-width: 1199px) {
    section.title-page {
        padding-top: 90px;
        padding-bottom: 90px;
    }
    section.title-page h1 {
        font-size: 2.5rem;
    }
}
@media (min-width: 768px) and (max-width: 991px) {
    section.title-page {
        padding-top: 80px;
        padding-bottom: 80px;
    }
    section.title-page h1 {
        font-size: 2rem;
    }
}
@media (min-width: 576px) and (max-width: 767px) {
    section.title-page {
        padding-top: 60px;
        padding-bottom: 60px;
    }
    section.title-page h1 {
        font-size: 1.7rem;
    }
}
@media (max-width: 575px) {
    section.title-page {
        padding-top: 20px;
        padding-bottom: 20px;
    }
    section.title-page h1 {
        font-size: 1.2rem;
    }
}

section.page {
    padding-top: 40px;
    padding-bottom: 40px;
    min-height: 50vh;
}
@media(min-width: 992px) {
    section.page {
        min-height: 60vh;
    }
}

footer {
    background: #272861;
    color: #CCC;
    font-size: 90%;
    padding-top: 50px;
    margin-bottom: 50px;
}
footer hr {
    background: #9394B0;
}
footer img {
    max-width: 220px;
}


.link-whatsapp {
    z-index: 101;
    display: block;
    position: fixed;
    right: 0;
    bottom: 40px;
    height: 50px;
    padding: 5px 15px;
    text-align: center;
    background-color: #CCC;
    border-radius: 10px 0 0 10px;
    transition: 0.2s ease all;
    animation: anima_whatsapp 1.5s ease-out infinite;
}
.link-whatsapp img {
    width: 40px;
    height: 40px;
}
.link-whatsapp:hover {
    padding-right: 25px;
}

@keyframes anima_whatsapp {
    0%   {transform: translateX(10px);}
    30%  {transform: translateX(0);}
    100% {transform: translateX(10px);}
}


/* página ambientes */
.ambientes figure {
    position: relative;
    cursor: pointer;
    margin: 0;
    padding: 0;
}
.ambientes figure img {
    display: block;
    width: 100%;
    height: auto;
}
.ambientes figure figcaption {
    position: absolute;
    top: calc(50% - 25px);
    left: 15%;
    right: 0;
    background-color: #363883;
    overflow: hidden;
    width: 70%;
    height: 50px;
    transition: .5s ease;
}
.ambientes figure figcaption .text {
    color: #FFF;
    font-weight: bolder;
    text-transform: uppercase;
    font-size: 1.0rem;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
    transition: .5s ease;
    line-height: 1.1rem;
}
.ambientes figure:hover figcaption{
    background-color: rgba(255, 255, 255, .7);
    height: 100%;
    width: 100%;
    top: 0%;
    left: 0%;
}
.ambientes figure:hover figcaption .text {
    font-size: 1.3rem;
    line-height: 1.3rem;
    color: #363883;
}
@media (max-width: 992px) {
    .ambientes figure figcaption .text {
        font-size: 0.8rem;
    }
}


/* página galeria */
.galeria figure {
    background-color: #363883;
    position: relative;
    padding: 0;
    margin: 0
}
.galeria figure .icone {
    position: absolute;
    top: 45%;
    top: calc((100% - 50px) / 2);
    left: 45%;
    left: calc((100% - 40px) / 2);
    line-height: 50px;
    font-size: 2.5em;
    transition: all 0.2 linear;
    opacity: 0;
    transition: opacity 0.25s ease-in-out;
    color: #FFF;
}
.galeria figure img {
    max-width: 100%;
    max-height: 100%;
    border: none;
    margin: 0;
    padding: 0;
    transition: opacity .25s ease-in-out;
}
.galeria figure:hover img {
    opacity: 0.3;
}
.galeria figure:hover .icone {
    opacity: 0.8;
}


.mapa {
    border: 3px solid #363883;
    width: 100%;
}
@media (min-width: 1201px) {
    .mapa { height: 400px; }
}
@media (min-width: 992px) and (max-width: 1200px) {
    .mapa { height: 250px; }
}
@media (min-width: 577px) and (max-width: 991px) {
    .mapa { height: 180px; }
}
@media (max-width: 576px) {
    .mapa { height: 150px; }
}